package net.sf.jbg.mojo;

import java.io.File;

/**
 * Generate JavaBeans test report. Generates a HTML documentation of the
 * JavaBeans configuration in test scope.
 * 
 * @goal test-report
 * @phase site
 * @requiresDependencyResolution compile
 */
public class TestReportMojo extends ReportBase {

	/**
	 * The source directory. The source files are read from here.
	 * 
	 * @parameter default-value="${project.basedir}/src/test/gen-config"
	 * @required
	 */
	private File srcDir;

	protected File getSrcDir() {
		return srcDir;
	}

}
