package net.sf.jbg.mojo;

import java.io.File;

/**
 * Generate JavaBeans report. Generates a HTML documentation of the JavaBeans
 * configuration.
 * 
 * @goal report
 * @phase site
 * @requiresDependencyResolution compile
 */
public class ReportMojo extends ReportBase {

	/**
	 * The source directory. The source files are read from here.
	 * 
	 * @parameter default-value="${project.basedir}/src/main/gen-config"
	 * @required
	 */
	private File srcDir;

	protected File getSrcDir() {
		return srcDir;
	}

}
